Subject: error compiling V 1.16 with GNU-win32 beta 17.1
From: [email-masked] ("Robert Pouliot")

12 Feb 1997 08:10:00 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Encoding: 25 Text
Original-To: [email-masked]
Original-Sender: [email-masked]

     Hello!
     
     I had some troubles compiling V 1.16 with Gnu-Win32.Here are the 
     problems:
     LPDLGITEMTEMPLATE is not defined,
     could be fixed by: typedef DLGITEMTEMPLATE *LPDLGITEMTEMPLATE; 
     in Windows32/Structures.h (in GNU-Win32)
     also FW_REGULAR is not defined, but I'm not sure it's the same than 
     FW_NORMAL (if so add the #define in Windows32/Defines.h)
     
     Also for compiling the library you need to do -Dfar="" in Makefile, 
     cause some parts use far pointer (and in win32 that doesn't exist, as 
     far has I know...)
     Also when trying to like test programs, they fail and complain of not 
     finding the following functions of V:
     AppMain(int char**)
     vGetLocalTime
     vGetLocalDate
     They are here, but the linker doesn't find them it seem to find all 
     classes, but not the C++ functions not in classes...
     
     If there is a fix for this, where can I find it?
     
     PS: I'm not a subscriber to this list, so please cc the answers to me 
     at [email-masked]

-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".